# ai_gui.hpp File Reference

Window for configuring the AIs. More...

`#include "../company_type.h"`

Go to the source code of this file.

## Functions

void | ShowAIDebugWindow (CompanyID show_company=INVALID_COMPANY)
void | ShowAIConfigWindow ()
void | ShowAIDebugWindowIfAIError ()
| Open the AI debug window if one of the AI scripts has crashed.
void | InitializeAIGui ()
| Reset the AI windows to their initial state.

## Detailed Description

Window for configuring the AIs.

Definition in file ai_gui.hpp.

## Function Documentation

void ShowAIDebugWindowIfAIError | ( |  | ) |

Open the AI debug window if one of the AI scripts has crashed.

Definition at line 1029 of file ai_gui.cpp.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem< Tpool >::index, and AIInstance::IsDead().

Referenced by InitializeWindowsAndCaches().